# Mathematical problem solution

Let's consider the problem of decomposition (approximation) of fractions
that lie in the range [0.005, 2/3)  by the sum of two fractions with 1 in
the numerators (so called unit fractions) and, possibly, natural,
unequal numbers in the denominators.

We will consider one of the two denominators to be a natural number,
smaller than the other number in the denominator, and we will look for
such a pair of numbers that, when rounded to natural numbers, will give
the minimum absolute error of the resulting approximation.
Mathematically, this leads to a problem and its further solution below.

More is by the link in the package description.

# Relation to music rhythm and meter 

It can be used to produce music by approximation of the meter. 
This leads to interesting structures.

It also is directly connected to the irrational time signatures in music.

# Acknowledgements

Author would like to support the foundation
[Gastrostars](https://gastrostars.nl) and its founder [Emma Kok](https://emmakok.nl). 
The founder inspired him to conduct such a research. 
Besides, the author is grateful to the [Hackage website](https://hackage.haskell.org) 
for publishing the Haskell code related to the research.

On the 2023-04-19 there is the founder's namesday, 
the memory of St. Emma  of Lesum or Emma of Stiepel (also known as Hemma and Imma). 
If you would like to share some financial support, please, contact the foundation using the URL:                                                                                      
                                                                                                     
[Contact Foundation GASTROSTARS](https://gastrostars.nl/hou-mij-op-de-hoogte)

